# My first attempt to write a spec file from scratch for dansguardian

Summary:	Web content filter
Name:		dansguardian
Version:	2.8.0.3
Release:	2
Copyright:	GPL
Group:		Productivity/Networking/Web/Proxy
URL:		http://dansguardian.org
Source:		%{name}-%{version}.source.tar.gz
Source1:	dansguardian.script
Patch0:		linux.in.diff
Patch1:		dans-sysv-suse.patch
Patch2:		logrotate.patch
Packager:	Joe Morris <Joe_Morris@ntm.org>
BuildRoot:	%{_tmppath}/making_of_%{name}
Requires:	squid
BuildRequires:	libstdc++-devel zlib-devel

%description
Dansguardian is a very configurable web content filter to 
give safe access to the internet.  It offers real time 
checking instead of rbl lists.

%prep

%setup -q
%if "%{_arch}" == "x86_64"
%patch0 -p0
%patch1 -p0
%else
%patch1 -p0
%patch2 -p0
%endif

%build
export CFLAGS="-03 -fPIC"
export LDFLAGS="-L/usr/lib64"
./configure --bindir=/usr/sbin/ \
 --sysvdir=/etc/init.d/ --mandir=/usr/share/man/ \
 --cgidir=/srv/www/cgi-bin/ --runas_grp=nogroup \
 --logdir=/var/log/dansguardian/ --installprefix=%{buildroot}
make
%install
rm -rf "$RPM_BUILD_ROOT"
make DESTDIR=$RPM_BUILD_ROOT install
install -d -m 744 %{buildroot}/var/log/dansguardian
touch access.log
install -m 644 access.log %{buildroot}/var/log/dansguardian/access.log
ln -sf /etc/init.d/dansguardian %{buildroot}/usr/sbin/rcdansguardian

%postun
/sbin/ldconfig
%restart_on_update dansguardian

%post
chown -R nobody.nogroup /var/log/dansguardian
/sbin/ldconfig

%preun
%stop_on_removal dansguardian

%files
%defattr(-, root, root)
%doc UPGRADING README INSTALL
/usr/sbin/dansguardian
/usr/sbin/rcdansguardian
%config(noreplace) /etc/dansguardian/*
/etc/logrotate.d/dansguardian
/usr/share/man/man8/*
/srv/www/cgi-bin/*
/etc/init.d/dansguardian
/var/log/dansguardian/access.log

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Nov 12 2004 Joe Morris <joe_morris@ntm.org>
- update to 2.8.0.3, built on SuSE 9.2 x86_64
* Thu Sep 2 2004 Joe Morris <Joe_Morris@ntm.org>
- First build of dansguardian 2.8.0 modified for suse 9.1 x86_64